aboutsummaryrefslogtreecommitdiffstats
path: root/coverity/prepare_source_Osmocom.sh
diff options
context:
space:
mode:
authorVadim Yanitskiy <vyanitskiy@sysmocom.de>2022-10-04 16:59:52 +0700
committerVadim Yanitskiy <vyanitskiy@sysmocom.de>2022-10-04 17:00:01 +0700
commit581a7ea879a449ae126ce6ae794a4409ed4eb179 (patch)
treedcb2cfb018c710cad08dc5268212ccd3b7d9ad37 /coverity/prepare_source_Osmocom.sh
parent4bb6385a2231be6a9ea107cbde8df4d1af3ceee2 (diff)
coverity: fix prepare_source_Osmocom.sh terminating early
Since [1] was merged this script is executed with '-xe' making it fail immediately if a command returns a non-zero code. grep may return 1 if pattern is not found, so let's suspend it. Change-Id: I21a01478b64015fd699ed31634bf2fb1dc8f6750 Fixes: [1] Icf6546271a01cd9a3dab1ce0d1bc02807d08ad85
Diffstat (limited to 'coverity/prepare_source_Osmocom.sh')
-rwxr-xr-xcoverity/prepare_source_Osmocom.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/coverity/prepare_source_Osmocom.sh b/coverity/prepare_source_Osmocom.sh
index 63fbea0..526e9d3 100755
--- a/coverity/prepare_source_Osmocom.sh
+++ b/coverity/prepare_source_Osmocom.sh
@@ -65,7 +65,7 @@ done
# We want to compile tests, but not execute them. Using 'noinst_PROGRAMS'
# instead of 'check_PROGRAMS' allows building test binaries during 'make all'.
for proj in $PROJECTS; do
- files="$(git -C $proj grep -l check_PROGRAMS)"
+ files="$(git -C $proj grep -l check_PROGRAMS)" || true
if [ -n "$files" ]; then
(cd $proj && sed -i "s/check_PROGRAMS/noinst_PROGRAMS/" $files)
fi